> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accrual Balance History

> View accrual balance history for a company, filtered by policy code and employee IDs.



## OpenAPI

````yaml openapi/zeal-api.json post /accrualBalance/history
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /accrualBalance/history:
    post:
      summary: Accrual Balance History
      description: View accrual balance history specific filters within a company
      operationId: accrual-balance-history
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - policyCode
                - employeeIDs
                - endDate
              properties:
                companyID:
                  type: string
                  description: ID of the company
                policyCode:
                  type: string
                  description: >-
                    The unique identifier for the accrual policy under which the
                    usage is being applied
                employeeIDs:
                  type: array
                  description: >-
                    IDs of any employees you would like to see accrual balance
                    history for
                  items:
                    type: string
                endDate:
                  type: string
                  format: date
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - employeeID: 66722ff005a48848507d75d9
                        policyName: sick_leave
                        totalAccrued: '7.45'
                        totalBalance: '21.64'
                        totalUsage: '17.00'
                        history:
                          - reportingPeriodID: 6580ce4a3808d60023b4e17d
                            checks:
                              - 36cd1ff3857d4e9585aa18e93c6e62e2
                            balance: '26.29'
                            accrued: '2.61'
                            usage: '0.00'
                          - reportingPeriodID: 67080ab04a7fcc706be57598
                            checks:
                              - 24006fc9fb0f405f96304964f3a5e9f3
                            balance: '11.59'
                            accrued: '2.29'
                            usage: '17.00'
                          - reportingPeriodID: 67080ab04a7fcc706be575a6
                            checks:
                              - 8edb64ca204a4ad5b33a83acf9e248c5
                            balance: '21.64'
                            accrued: '2.55'
                            usage: '0.00'
                    success: true
                    testMode: false
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeID:
                          type: string
                          example: 66722ff005a48848507d75d9
                        policyName:
                          type: string
                          example: sick_leave
                        totalAccrued:
                          type: string
                          example: '7.45'
                        totalBalance:
                          type: string
                          example: '21.64'
                        totalUsage:
                          type: string
                          example: '17.00'
                        history:
                          type: array
                          items:
                            type: object
                            properties:
                              reportingPeriodID:
                                type: string
                                example: 6580ce4a3808d60023b4e17d
                              checks:
                                type: array
                                items:
                                  type: string
                                  example: 36cd1ff3857d4e9585aa18e93c6e62e2
                              balance:
                                type: string
                                example: '26.29'
                              accrued:
                                type: string
                                example: '2.61'
                              usage:
                                type: string
                                example: '0.00'
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: false
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Invalid
                        code: 13
                        status: 400
                        correlationId: 3b3f6226-db6a-4de1-889c-e3f3b00ceb09
                        params:
                          fields:
                            - employeeIDs[0]
                    testMode: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Invalid
                        code:
                          type: integer
                          example: 13
                          default: 0
                        status:
                          type: integer
                          example: 400
                          default: 0
                        correlationId:
                          type: string
                          example: 3b3f6226-db6a-4de1-889c-e3f3b00ceb09
                        params:
                          type: object
                          properties:
                            fields:
                              type: array
                              items:
                                type: string
                                example: employeeIDs[0]
                  testMode:
                    type: boolean
                    example: true
                    default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````